/* class comment */!!

inherit(Dialog, #ExtInSelectDialog, nil, 2, nil)!!

now(class(ExtInSelectDialog))!!

now(ExtInSelectDialog)!!

/* 11/10/1994 17:24 */
Def initDialog(self, wp, lp | ExtVal)
{
  ExtVal := trigExtEventGet(trigger(parent));   /*  parameter 0 means don't care by server  */
  extInSel := ExtVal bitAnd 0x3f ;
  if ((ExtVal bitAnd 0x80) <> 0) then
    logicState :=112;
  else
    logicState :=111;
  endif;
  Call CheckRadioButton(getHWnd(self), 111, 112, logicState);
  Call CheckRadioButton(getHWnd(self), 101, 108, extInSel + 101);
  ^1; /* set focus at first tabstop */
}
!!

/* 11/10/1994 17:24 */
Def command(self, wp, lp ){
  select
    case wp >= 101 and wp <= 108
      Call CheckRadioButton(getHWnd(self),101, 108, wp);
      extInSel := wp - 101;
    endCase
    case wp >= 111 and wp <= 112
      Call CheckRadioButton(getHWnd(self),111, 112, wp);
      logicState := wp;
    endCase
    case wp == IDCANCEL
      end(self, 0);
    endCase
    case wp == IDOK
      if( logicState == 111 )
          trigExtSet(trigger(parent),extInSel+64);   /*  parameter 0 means don't care by server  */
      else
           trigExtSet(trigger(parent),extInSel+128);
      endif;
      end(self, 1);
    endCase
  endSelect;
  ^0;
}
!!
